curl --request GET \
--url https://api.exowpee.com/v1/accounting/organization/books/{analyticRule}/analytic-rules/{analytic_rule} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.exowpee.com/v1/accounting/organization/books/{analyticRule}/analytic-rules/{analytic_rule}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.exowpee.com/v1/accounting/organization/books/{analyticRule}/analytic-rules/{analytic_rule}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.exowpee.com/v1/accounting/organization/books/{analyticRule}/analytic-rules/{analytic_rule}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.exowpee.com/v1/accounting/organization/books/{analyticRule}/analytic-rules/{analytic_rule}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.exowpee.com/v1/accounting/organization/books/{analyticRule}/analytic-rules/{analytic_rule}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.exowpee.com/v1/accounting/organization/books/{analyticRule}/analytic-rules/{analytic_rule}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"analytic_axis_id": "<string>",
"axis": {},
"analytic_section_id": "<string>",
"section": {},
"priority": 123,
"match_account_prefix": "<string>",
"match_source_type": "<string>",
"match_journal_id": "<string>",
"journal": {},
"status": "<string>",
"created_by": "<string>",
"created_by_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"errors": {}
}View an allocation rule (organization)
See one allocation rule.
curl --request GET \
--url https://api.exowpee.com/v1/accounting/organization/books/{analyticRule}/analytic-rules/{analytic_rule} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.exowpee.com/v1/accounting/organization/books/{analyticRule}/analytic-rules/{analytic_rule}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.exowpee.com/v1/accounting/organization/books/{analyticRule}/analytic-rules/{analytic_rule}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.exowpee.com/v1/accounting/organization/books/{analyticRule}/analytic-rules/{analytic_rule}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.exowpee.com/v1/accounting/organization/books/{analyticRule}/analytic-rules/{analytic_rule}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.exowpee.com/v1/accounting/organization/books/{analyticRule}/analytic-rules/{analytic_rule}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.exowpee.com/v1/accounting/organization/books/{analyticRule}/analytic-rules/{analytic_rule}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"analytic_axis_id": "<string>",
"axis": {},
"analytic_section_id": "<string>",
"section": {},
"priority": 123,
"match_account_prefix": "<string>",
"match_source_type": "<string>",
"match_journal_id": "<string>",
"journal": {},
"status": "<string>",
"created_by": "<string>",
"created_by_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"errors": {}
}analytic_rules.retrieve
Conditions
- The accounting module must be included in the plan of the organization.
- The caller must have been granted access to the book named in the path.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifier of the accounting book (27-character KSUID); the route names this segment after the resource, but it selects the book.
Identifier of the allocation rule (27-character KSUID).
Query Parameters
Response mode. Default resource; none answers 204 No Content.
resource Comma-separated JSON keys of the root resource (id is always rendered). Available: id, analytic_axis_id, analytic_section_id, priority, match_account_prefix, match_source_type, match_journal_id, status, created_by, created_by_type, created_at, updated_at.
Comma-separated include paths, each optionally followed by its fields in parentheses: units(id,sku),units.uomUnit(id,name). Max depth 6, max 40 paths. Available: axis, section, section.axis, section.parent, journal.
Response
Resource.
Identifier of the rule (27-character KSUID).
Identifier of the axis the rule allocates on.
The axis, included only when the caller may retrieve analytic axes.
Identifier of the section that matching lines are allocated to.
The target section, included only when the caller may retrieve analytic sections.
Order of evaluation among the rules of the axis; an integer of 0 or more.
Matches journal lines whose account code starts with this prefix; null when this matcher is not used.
Matches entries created by this source type; null when this matcher is not used.
Matches entries of this journal; null when this matcher is not used.
The matched journal, included only when the caller may retrieve journals.
active or archived. Only active rules allocate.
Identifier of the actor that created the rule.
Kind of actor that created the rule (the actor's morph alias); null when it could not be resolved.
Date and time the record was created (ISO 8601, UTC).
Date and time the record was last changed (ISO 8601, UTC).